We’ve developed some resources to help you work effectively from home during COVID-19 Click here to learn more

Tested databases

In this article

    Databases supported by SuperOffice CRM 8

    Our experience tells us that other configuration also should work but SuperOffice will not guarantee for any other configurations than the ones listed below. Be especially aware of the different versions of the ODBC drivers. This has turned out to be greatest source of incompatibility.

    For database specific system requirments please check the vendor Microsoft or Oracle.

    Database 8.0 /
    8.0 SR1
    8.0 SR2
    - SR6
    8.1 8.2 8.3 8.4 8.5
    MS SQL Server 2019
    MS SQL Server 2017 *
    MS SQL Server 2016
    MS SQL Server 2014
    MS SQL Server 2012 SP1 and SP2
    MS SQL Server 2008 R2***
    Oracle 18c **
    Oracle 12c
    Oracle 11g

     * - Compatiblity report

     ** See below Oracle 18c compatibility info

     *** Microsoft has finished Extended support for this product

    Oracle 18c compatibility

    SuperOffice does not run on Oracle 18 ODBC drivers.

    You may run Oracle 18 on the database server but you need an older Oracle 12c ODBC driver on the SuperOffice client / server.

    Our existing customers can upgrade their database servers to Oracle 18c, and as long as they do not upgrade the database drivers on the machines running SuperOffice it will continue to work.

    Tested successful

    The product is part of our test procedures and you may obtain support for this configuration.

    Not working

    This product is known not to work with this version of our software.

    Not part of test procedures

    This product is not part of our test procedures and may not be fully compatible with this version of our software. There is currently no official support for this configuration. If this is a newer version of other vendors software then we may have to add support for this in our code first, see Compatibility reports for more information.